Package org.eclipse.birt.report.engine.content

# Interface IStyledElement

All Known Subinterfaces:
  `IAutoTextContent`, `IBandContent`, `ICellContent`, `IColumn`, `IContainerContent`, `IContent`, `IDataContent`, `IForeignContent`, `IGroupContent`, `IImageContent`, `ILabelContent`, `IListBandContent`, `IListContent`, `IListGroupContent`, `IPageContent`, `IRowContent`, `ITableBandContent`, `ITableContent`, `ITableGroupContent`, `ITextContent`

public interface IStyledElement
Interface of styled element

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`IStyle`
`getComputedStyle()`
Get the computed style of the element
`IStyle`
`getStyle()`
Get the style of the element
`String`
`getStyleClass()`
Get the style class
`void`
`setStyleClass(String styleClass)`
Set the style class

## Method Details

### getComputedStyle

IStyle getComputedStyle()
Get the computed style of the element

Returns:
  computed style

### getStyle

IStyle getStyle()
Get the style of the element

Returns:
  the style

### getStyleClass

String getStyleClass()
Get the style class

Returns:
  the style class

### setStyleClass

void setStyleClass(String styleClass)
Set the style class

Parameters:
  `styleClass` - style class